package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AdvertE1Factory
{
    private AdvertE1Factory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IAdvertE1 getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvertE1)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("AFCBFD3E") ,com.kingdee.eas.custom.gggl.IAdvertE1.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IAdvertE1 getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvertE1)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("AFCBFD3E") ,com.kingdee.eas.custom.gggl.IAdvertE1.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IAdvertE1 getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvertE1)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("AFCBFD3E"));
    }
    public static com.kingdee.eas.custom.gggl.IAdvertE1 getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IAdvertE1)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("AFCBFD3E"));
    }
}